Luxor PlatformAPI DocumentationMining PoolPayments
Get subaccount payment settings
Returns the payment settings for a specific subaccount and currency type.
Authorization
LuxorAPIKey authorization<token>
Use your API key here.
In: header
Path Parameters
currency_type*string
Which currency to query, e.g. BTC or DOGE.
Value in
- "BTC"
- "LTC_DOGE"
- "SC"
- "ZEC"
subaccount_name*string
A subaccount name for which to retrieve summary information.
Length
1 <= lengthResponse Body
application/json
application/json
curl -X GET "https://example.com/v2/pool/payment-settings/BTC/my_subaccount"{ "currency_type": "BTC", "subaccount": { "id": 1, "name": "my_subaccount", "site": { "id": "b0a5fad8-0e09-4f10-ac20-ccd80fb2d138", "name": "My Site", "url": "/v2/workspace/sites/b0a5fad8-0e09-4f10-ac20-ccd80fb2d138" }, "created_at": "2019-08-24T14:15:22Z", "url": "/v2/pool/subaccounts/my_subaccount" }, "balance": 0.00066154, "status": "PENDING_APPROVAL", "wallet_id": 0, "payment_frequency": "DAILY", "day_of_week": "MONDAY", "addresses": [ { "address_id": 1, "address_name": "address_1", "external_address": "YOUR_WALLET_ADDRESS", "revenue_allocation": 0 } ], "next_payout_at": "2025-01-01T00:00:00Z", "frozen_until": "2025-01-01T00:00:00Z", "pool_discount_rate": 0.01}{ "statusCode": 400, "code": "FST_ERR_VALIDATION", "error": "Bad Request", "message": "body/end_date Required"}